"""
testcases for cssutils.css.CSSRule
"""
__version__ = '0.9a2'

import xml.dom

import basetest

import cssutils.css


class CSSRuleTestCase(basetest.BaseTestCase):
    """
    base class for all CSSRule subclass tests

    overwrite setUp with the appriopriate values, will be used in
    test_init and test_readonly
    overwrite all tests as you please, use::
    
        super(CLASSNAME, self).test_TESTNAME(params)
    
    to use the base class tests too
    """

    def setUp(self):
        """
        OVERWRITE!
        self.r is the rule
        self.rRO the readonly rule
        relf.r_type the type as defined in CSSRule
        """
        super(CSSRuleTestCase, self).setUp()
        self.r = cssutils.css.CSSRule()
        self.rRO = cssutils.css.CSSRule(readonly=True)
        self.r_type = cssutils.css.CSSRule.UNKNOWN_RULE

    def test_init(self):
        "CSSRule.type and init"        
        self.assertEqual(self.r_type, self.r.type)
        self.assertEqual(u'', self.r.cssText)
        self.assertEqual(None, self.r.parentRule)
        self.assertEqual(None, self.r.parentStyleSheet)

    def test_readonly(self):
        "CSSRule readonly"
        self.assertEqual(True, self.rRO._readonly)
        self.assertEqual(u'', self.rRO.cssText)
        self.assertRaises(xml.dom.NoModificationAllowedErr,
                          self.rRO._setCssText, u'x')
        self.assertEqual(u'', self.rRO.cssText)
        

if __name__ == '__main__':
    import unittest
    unittest.main()