"""
cssutils setup

use EasyInstall or install with
    >python setup.py install
"""
__docformat__ = 'restructuredtext'
__version__ = '0.9a6'

import ez_setup
ez_setup.use_setuptools()

from setuptools import setup

_long = '''A Python package to parse and build CSS Cascading Style Sheets.
Partly implements the DOM Level 2 Stylesheets and CSS interfaces.
'''
setup(
    name="cssutils",
    version=__version__,
    packages=['cssutils', 'cssutils.css', 'cssutils.stylesheets',
              'cssutils.tests'],
    package_data = {
        '': ['LICENSE.txt', 'README.txt'],
        'examples': ['examples/*.py'],
    },
    exclude_package_data = {
        '': ['README.txt'],
        'examples': ['examples/*.py'],
    },
    test_suite = "cssutils.tests",
    entry_points = {
        'console_scripts': [
            'cssparse = cssutils.scripts:parse',
            #'csscapture = other_module:some_func',
        ]
    },
    author='Christof Hoeke',
    author_email='c@cthedot.de',
    description="A CSS Cascading Style Sheets library for Python",
    license='http://cthedot.de/cssutils/license.html',
    #long_description=_long,
    keywords='CSS, Cascading Style Sheets, CSSParser, DOM Level 2 Stylesheets, DOM Level 2 CSS',
    download_url='http://cthedot.de/cssutils/',
    url='http://cthedot.de/cssutils/'
    )